# Changelog

## v2.8.4, 2026-01-14

* **Peppol Discovery API**: New endpoint to check if a business is registered on the Peppol network
  * `POST /folders/{folder_id}/discoveries` - Discover Peppol participant registration status

## v2.8.0, 2025-05-08

* Add a new endpoint that generate a custom token for SSO
* Minor bug fixes

## v2.6.4, 2024-06-25

* Minor bug fixes

## v2.6.3, 2024-04-18

* You can now use your own Meta account to send Whatsapp messages;
* You can now use a dedicated Twilio phone number to send SMS messages.

## v2.6.2, 2024-04-12

* Integration with [viva-wallet](https://developer.myazur.app/payment-processors/viva-wallet "mention")
* Integration with Whatsapp Business API
* New endpoints that allows to read/create/update/delete  stores [store](https://developer.myazur.app/models/store "mention")
* New endpoints that allows to read/create/update/delete machines [machine](https://developer.myazur.app/models/machine "mention")
* New endpoints that allows to read/create/update/delete payment terminals [payment-terminal](https://developer.myazur.app/models/payment-terminal "mention")
* New endpoints that allows to read/create/update/delete payment sessions [payment-session](https://developer.myazur.app/models/payment-session "mention")
* Add Redis dependency
* Minor bug fixes

## v2.5.6, 2024-01-09

* New endpoints that allows to create and delete folder user roles

## v2.5.5, 2024-01-07

* New endpoint that allows to create a folder and a legal entity in one step.  POST /folders/\<folder\_id>&#x20;
* A legal entity linked to a folder is deleted automatically from the peppol network when the folder is deleted
* Add a soft limit of  100 folders per company (it can be increased through a support request)
* Legal entity linked to a folder can be updated by using the new endpoing PATCH /folders/\<folder\_id>
* New endpoint under /folders/\<folder\_id>/peppol\_identifier that allows to add a peppol identifier to the legal entity linked to the folder
* New endpoint under /folders/\<folder\_id>/peppol\_identifier/:superscheme/:scheme/:identifier that allows to remove a peppol identifier associated to the legal entity linked to the folder.

## v2.5.1, 2023-08-22

* This release introduces the [Folder Access Tokens](https://developer.myazur.app/models/folder-access-token)
* Minor bug fixes&#x20;

## v2.5.0, 2023-08-11

* New endpoint that exposes Peppol documents statistics. Currently available only for System Admin and System Editors.  `{{api_base_url}}/stats/count-documents-per-folder`&#x20;
* The endpoint `{{api_base_url}}/users/me/folders` now returns all the folders for which the user has `Folder Admin` role. Previously it would return only the folders the user created.
* Minor bug fixes &#x20;

## v2.4.0, 2023-04-01

* Add currency\_code field to Card Type model

## v2.3.9, 2023-03-30

* New endpoint /folders/:folder\_id/permissions/:permission\_id, it returns 404 if the folder permissions is not granted to current user (Bearer token) else it returns the permission detail (id and name)&#x20;
* Add post media now automatically marks media file specified as uploaded.&#x20;
* Minor bug fixes

## v2.3.8, 2023-03-29

* New Pinned field added to post model
* GET /posts, GET /most\_recent\_posts and GET /folders/:folder\_id/posts accept pinned query arg  to filter the returned posts.&#x20;
* New VAT field added to folder model
* GET /folders endpoint allows to search a folder by VAT
* New endpoint /folders/:folder\_id/permissions returns a list of permissions of the current user for the folder specified.&#x20;
* Content type application/json is returned when creating a legal entity or a peppol identifier fails.
* New endpoint PATCH /legal\_entities/:legal\_entity\_id to update a legal entity
* New endpoint DELETE /legal\_entities/\<legal\_entity\_id>/peppol\_identifiers/:superscheme/:scheme/:identifier to delete a peppol identifier
* New endpoint GET /legal\_entities/:legal\_entity\_id to fetch the legal entity info

## v2.3.7, 2023-03-24

* New referral code field for contacts
* Improved rate limiter
* New endpoints to get and delete post, post info and post media
* Get outgoing Peppol document status id and response status id
* Content type application/json is returned when status code is 4xx on create new peppol document
* Minor bug fixes

## v2.2.8, 2023-01-06

* New storage for media and encrypted files.&#x20;
* Upload files via S3 presigned put instead of presigned post.

## v2.2.7, 2022-12-24

* New Card Type model and endpoints

## v2.2.0, 2022-10-25

* Moved sso field from post to post\_info
* Bug fixes.&#x20;

## v2.1.9, 2022-10-23

* New endpoint `/folders/:folder_id/posts_from_contacts` (**Home Feed** on mobile) that returns only the posts create by folder's contacts in chronological order.&#x20;
* New endpoint `/most_popular_posts`  (**Popular Feed** on mobile)&#x20;
* New endpoint `/most_recent_posts` (**News** Feed on mobile) that returns posts in chronological order.&#x20;
* Add fields `sso` (Single Sign On) and `promoted` (sponsored content) to [post](https://developer.myazur.app/models/post "mention")
* A folder owner (Creator of the folder) has now a folder admin permissions

## v2.1.6, 2022-10-16

* New [post](https://developer.myazur.app/models/post "mention"), [postinfo](https://developer.myazur.app/models/postinfo "mention") and [postmedia](https://developer.myazur.app/models/postmedia "mention") models
* New GET posts endpoint sorted by popularity and publish date
* Permissions system updated

## v2.1.4, 2022-09-24

* New [document](https://developer.myazur.app/models/document "mention") model and endpoints
* New [legal-entity](https://developer.myazur.app/models/legal-entity "mention") model and endpoints
* New [peppol-identifier](https://developer.myazur.app/models/peppol-identifier "mention")model and endpoints
* **\[Breaking change]** Updated User resource base urls (from /apps/azur/users to /users)
* **\[Breaking change]** Updated Device resource base urls (from /apps/azur/devices to /devices)
* Add integration with Sentry
* Add license check for sending new document through the peppol network
* Updating libraries dependencies

## v2.0.8, 2022-08-29

* Add `verification_status_id` to [folder](https://developer.myazur.app/models/folder "mention")
* Add search query arg to get folders and get companies
* Add `verification_status_id` query arg to get folders and get companies which allows to get only verified companies and verified folders
* New [contact](https://developer.myazur.app/models/contact "mention") model

## v2.0.7, 2022-07-14

* Add `verification_status_id` and `folders_count` fields to [company](https://developer.myazur.app/models/company "mention"). A company with folders\_count = 0 must be shown in Azur as company that cannot send or receive an encrypted document yet.&#x20;
* Create company's folder [#create-a-company-folder](https://developer.myazur.app/models/folder#create-a-company-folder "mention")
* Assign a company to an existing folder [#assign-a-company-to-an-existing-folder](https://developer.myazur.app/models/folder#assign-a-company-to-an-existing-folder "mention")
* `next_page` and `prev_page` are not returned in the pagination json object if next page/prev\_page is false. Previous version would return a misleading value.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myazur.app/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
